Test::Harness::Iterator(3)

NAME
Test::Harness::Iterator - Internal Test::Harness Iterator

SYNOPSIS
  use Test::Harness::Iterator;
  my $it = Test::Harness::Iterator->new(\*TEST);
  my $it = Test::Harness::Iterator->new(\@array);

  my $line = $it->next;

DESCRIPTION
FOR INTERNAL USE ONLY!

This is a simple iterator wrapper for arrays and filehandles.

  new()
Create an iterator.

  next()
Iterate through it, of course.